<?php
require_once(DIR_FS_ADMIN.DIR_WS_CLASSES.'delivery_condition.php');
/**
 * delivery_conditions class 
 *
 */
class delivery_conditions extends databasetable
{
	/**
	 * initiates the delivery_conditions class
	 *
	 */
	function delivery_conditions(){
		$this->set_tablename(TABLE_DELIVERY_CONDITIONS);
		$this->set_index('delivery_conditions_id');
		/*
		$this->related_tables = array(
			0=>array('table'=>TABLE_CUSTOMERS_TO_COMPANIES,'key'=>$this->get_index() )
		);
		*/
	}
	
	/**
	 * return a delivery_condition object
	 *
	 * @param integer $id
	 * @return object
	 */
	function get_delivery_condition($id){
		$values = $this->get_row_by_index($id);
		$delivery_condition_instance = new delivery_condition( (object) current($values) );
		return $delivery_condition_instance;
	}
}
